.container-perfil {
  display: flex;
  flex-direction: column;
  gap: 5px;
  height: auto;
  width: 100%;

  & h3:last-of-type {
    margin-bottom: 25px;
  }

  .foto_editar {
    display: grid;
    grid-template-areas:
      "span acciones"
      "figure acciones";
    justify-content: space-between;
    gap: 5px;

    & span {
      grid-area: span;
    }

    & figure {
      position: relative;
      grid-area: figure;
      height: 100px;
      width: 100px;
      border-radius: 50%;

      .oculto {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        height: 100%;
        opacity: 0;
        cursor: pointer;
        transition: opacity .3s;

        &:hover {
          opacity: 1;
        }
      }

      .p-element .p-fileupload {
        height: 100%;

        .p-button {
          height: 100%;
          width: 100%;
          background: var(--mask-dark);
          border: none;

          .p-button-icon {
            font-size: 28px;
          }
        }
      }
    }

    .acciones {
      grid-area: acciones;
      display: flex;
      flex-direction: column;
      justify-content: space-evenly;
      gap: 5px;

      .p-element .p-fileupload {
        transition: transform .3s ease;

        .p-button {
          height: 35px;
          background: whitesmoke;
          border: 2px solid var(--primary);
          border-radius: var(--border-radius);
          filter: var(--drop-shadow-button);

          .p-button-icon {
            color: var(--primary);
            font-size: 20px;
          }

          .p-button-label {
            color: var(--primary);
            font-family: var(--font-botones-nav);
            letter-spacing: 1px;
            font-size: 14px;
            text-transform: uppercase;
          }
        }

        &:hover {
          transform: scale(1.03);
        }
      }
    }
  }

  .container-datos_usuario {
    display: grid;
    grid-template-columns: 33% 33% 33%;
    grid-template-rows: 100px 100px;

    .dato_usuario {
      display: flex;
      flex-direction: column;
      gap: 5px;

      .inpt_secon {
        width: 70%;
      }

      & label {
        font-weight: 700;
      }

      .p-element {
        padding-left: 0;

        & li {
          padding-left: 10px;
        }

        .p-dropdown {
          height: 100%;
          width: 100%;
          border: none;

          .p-dropdown-label {
            padding: 8px 10px;
          }
        }

        .p-calendar {
          height: 100%;
          width: 100%;

          .p-inputtext {
            border: none;
          }
        }
      }
    }
  }

  .container-botones_editar {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
  }
}


/* Dialog VERIFICACION SMS*/
.contenedor {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 10px;

  .actions {
    display: flex;
    flex-direction: column;
    height: 100px;
    justify-content: space-around;
    text-align: center;

    .link_inactivo {
      color: var(--info);
      text-decoration: none;
      font-size: 12px;
      cursor: initial;
    }
  }
}
